### Hierarchy

- TransactGetRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- params
- tables

### Methods

- exec
- execFullResponse
- execNoMap
- forModel
- mapResponse
- returnConsumedCapacity

## Constructors

### constructor

- new TransactGetRequest(): TransactGetRequest

- - Defined in dynamo/transactget/transact-get.request.ts:15

  #### Returns TransactGetRequest

## Properties

### Private dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

- Defined in dynamo/transactget/transact-get.request.ts:14

### params

params: TransactGetItemsInput

- Defined in dynamo/transactget/transact-get.request.ts:13

### Private tables

tables: Array<ModelConstructor<any>> = []

- Defined in dynamo/transactget/transact-get.request.ts:15

## Methods

### exec

- exec(): Promise<any[]>

- - Defined in dynamo/transactget/transact-get.request.ts:64

  #### Returns Promise<any[]>

### execFullResponse

- execFullResponse(): Promise<TransactGetFullResponse<any[]>>

- - Defined in dynamo/transactget/transact-get.request.ts:59

  #### Returns Promise<TransactGetFullResponse<any[]>>

### execNoMap

- execNoMap(): Promise<TransactGetItemsOutput>

- - Defined in dynamo/transactget/transact-get.request.ts:55

  #### Returns Promise<TransactGetItemsOutput>

### forModel

- forModel<T>(modelClazz: ModelConstructor<T>, key: Partial<T>): TransactGetRequest1<T>

- - Defined in dynamo/transactget/transact-get.request.ts:24

  #### Type parameters

  - #### T

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  - ##### key: Partial<T>

  #### Returns TransactGetRequest1<T>

### Private mapResponse

- mapResponse(response: TransactGetItemsOutput): TransactGetFullResponse<any[]>

- - Defined in dynamo/transactget/transact-get.request.ts:70

  #### Parameters

  - ##### response: TransactGetItemsOutput

  #### Returns TransactGetFullResponse<any[]>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): TransactGetRequest

- - Defined in dynamo/transactget/transact-get.request.ts:50

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns TransactGetRequest

Generated using TypeDoc